Name: eggo
Version: 0.9.3
Release: 4
Summary: Eggo is a tool built to provide standard multi-ways for creating Kubernetes clusters.
License: Mulan PSL V2
URL: https://gitee.com/openeuler/eggo
Source0: https://gitee.com/openeuler/eggo/repository/archive/v%{version}.tar.gz

Patch0001:	0001-remove-residual-objects.patch
Patch0002:	0002-remove-residual-in-infrastruce.patch
Patch0003:	0003-eggo-static-compile.patch
Patch0004:	0004-use-local-cert-replace-openssl.patch
Patch0005:	0005-add-coredns-checker.patch
Patch0006:	0006-add-list-command-for-eggo.patch
Patch0007:	0007-update-cert-of-ca.patch

BuildRequires: make
BuildRequires: git
BuildRequires: golang >= 1.13

%description
Eggo is a tool built to provide standard multi-ways for creating Kubernetes clusters.

%define debug_package %{nil}

%prep
%autosetup -n eggo -Sgit -p1

%build
export GO111MODULE=off
rm -f go.mod go.sum
cp -rf vendor src
mkdir -p src/isula.org/eggo
cp -rf cmd pkg src/isula.org/eggo/
export GOPATH=$(pwd):$GOPATH
%{make_build} safe

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
# install binary
install -p ./bin/eggo %{buildroot}%{_bindir}/eggo

%clean
rm -rf %{buildroot}
rm -rf src

%post

%files
# default perm for files and folder
%defattr(0640,root,root,0550)
%attr(551,root,root) %{_bindir}/eggo

%changelog
* Mon Sep 13 2021 zhangxiaoyu<zhangxiaoyu58@huawei.com> - 0.9.3-4
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:use local cert, add coredns checker, add list command, update cert of ca

* Tue Sep 07 2021 zhangxiaoyu<zhangxiaoyu58@huawei.com> - 0.9.3-3
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:eggo static compile

* Tue Sep 07 2021 zhangxiaoyu<zhangxiaoyu58@huawei.com> - 0.9.3-2
- Type:upgrade
- CVE:NA
- SUG:NA
- DESC:sync from openeuler

* Wed Sep 01 2021 zhangxiaoyu<zhangxiaoyu58@huawei.com> - 0.9.3-1
- Type:upgrade
- CVE:NA
- SUG:NA
- DESC:upgrage to v0.9.3-1

* Mon Aug 02 2021 zhangxiaoyu<zhangxiaoyu58@huawei.com> - 0.9.1-1
- Type:upgrade
- CVE:NA
- SUG:NA
- DESC:upgrage to v0.9.1-1

* Tue Jul 20 2021 zhangxiaoyu<zhangxiaoyu58@huawei.com> - 0.9.1-20210712.150722.gitddf3d38e
- Type:upgrade
- CVE:NA
- SUG:NA
- DESC:upgrade to v0.9.1

* Mon Jul 12 2021 wangfengtu<wangfengtu@huawei.com> - 0.9.0-20210712.150722.gitddf3d38e
- Type:add
- CVE:NA
- SUG:restart
- DESC:init repo
